Summary: KLyX - a word processor for the K Desktop Environment
Name: klyx
Version: 0.11
Release: 2
Epoch: 1
License: GPL
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-0.11.0.tar.bz2
Group: Applications/Productivity
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: tetex tetex-latex tetex-dvips ghostscript
BuildPrereq: qt-devel, kdelibs-devel
Prefix: %{_prefix}
Excludearch: sparc

%description
A word processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%prep
%setup -q -n %{name}

%build
QTDIR="" && source /etc/profile.d/qt.sh
export MOC=$QTDIR/bin/moc
export KDEDIR=%{prefix}

make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix}

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi

if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
 
make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/file.list.%{name} 

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
        -e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{name}      

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng
- excludearch sparc

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- updated to 0.11, support KDE2 (bug #25410)

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- new snapshot for KDE2

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- fix to build with the new gcc-2.96

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- fix build on alpha

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- adapted for powertools 6.1

* Fri Sep 10 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt/relinked with latest Cassini kdelibs.

* Mon Sep 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.10.0.

* Fri Jul 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Cooker.
- added teTeX and ghostscript dependencies.

* Tue Oct 06 1998 Fabio Coatti <cova@felix.unife.it>
- fixed installation directory files list

* Fri Oct 02 1998 Fabio Coatti <cova@felix.unife.it>
- fixed QT libs version requirements

* Thu Oct 01 1998 Fabio Coatti <cova@felix.unife.it>
- Added patch for print bug
- modified the file section
- added the italian description
